%define upstream_name    HTML-Template-Pluggable
%define upstream_version 0.22

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Extends HTML::Template with plugin support
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI) >= 3.60.0
BuildRequires: perl(Class::Trigger)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(HTML::Template) >= 2.700.0
BuildRequires: perl(Regexp::Common)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::MockObject) >= 1.0.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
By adding support for this dot notation to the HTML::Template manpage, the
programmers' job of sending data to the template is easier, and designers
have easier access to more data to display in the template, without
learning any more tag syntax.

EXAMPLES
Class::DBI integration
    the Class::DBI manpage accessors can be used in the template. If the
    accessor is never called in the template, that data doesn't have to be
    loaded.

    In the code:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc ARTISTIC Changes GPL META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.220.0-2.mga10
+ Revision: 2214597
- Mageia 10 Mass Rebuild

* Sun May 15 2022 tv <tv> 0.220.0-1.mga9
+ Revision: 1858215
- update to 0.22
- update to 0.21

* Tue Mar 22 2022 umeabot <umeabot> 0.170.0-11.mga9
+ Revision: 1817143
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.170.0-10.mga8
+ Revision: 1494942
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.170.0-9.mga7
+ Revision: 1268506
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.170.0-8.mga6
+ Revision: 1028365
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.170.0-7.mga6
+ Revision: 971631
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 tv <tv> 0.170.0-6.mga6
+ Revision: 892145
- BR perl(CGI)

* Wed Oct 15 2014 umeabot <umeabot> 0.170.0-5.mga5
+ Revision: 742938
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.170.0-4.mga5
+ Revision: 684975
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.170.0-3.mga4
+ Revision: 512092
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.170.0-2.mga3
+ Revision: 368151
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.170.0-1.mga1
+ Revision: 32060
- mageia rebuild
- imported package perl-HTML-Template-Pluggable


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 0.170.0-1mdv2011.0
+ Revision: 624903
- import perl-HTML-Template-Pluggable

